API ReferenceScheduling links

List scheduling links

Get a paginated list of scheduling links for the authenticated user.

GET
/v1/links
AuthorizationBearer <token>

OAuth 2.0 authorization code flow

In: header

Query Parameters

limit?integer

The maximum number of entries to return in the paginated response.

Range1 <= value <= 100
Default20
after?string

A cursor for use in pagination. Returns entries after the given cursor. Cursor values can be found in the metadata object on paginated responses.

before?string

A cursor for use in pagination. Returns entries before the given cursor. Cursor values can be found in the metadata object on paginated responses.

state?string

Filter by link state

Value in

  • "active"
  • "disabled"

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/links?state=active"
{  "entries": [    {      "default_duration": 30,      "description": "A brief meeting to discuss your needs",      "durations": [        15,        30,        45      ],      "fields": [        {          "id": "field_123",          "is_required": true,          "label": "Company",          "options": [],          "type": "short_text"        }      ],      "id": "link_01J5KC2G3MHPCECSQ6KM6FMDPC",      "increment": 15,      "name": "30 Minute Meeting",      "private_name": "Quick sync with prospects",      "scope": {        "id": "scope_01J5KC4R7NHQFGT8V2WD9Y8H6X",        "name": "Sales Team",        "slug": "sales"      },      "slug": "30min",      "state": "active"    }  ],  "metadata": {    "after": "eyJpZCI6ImxpbmtfYWJjMTIzIn0",    "before": null,    "limit": 25  }}